Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_INFO

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_INFO

public class CK_INFO
extends Object

class CK_INFO provides general information about Cryptoki.

PKCS#11 structure:

      typedef struct CK_INFO {
        CK_VERSION cryptokiVersion;
        CK_UTF8CHAR manufacturerID[32];
        CK_FLAGS flags;
        CK_UTF8CHAR libraryDescription[32];
        CK_VERSION libraryVersion;
      } CK_INFO;

Field Summary
`CK_VERSION` | `cryptokiVersion` PKCS#11: CK_VERSION cryptokiVersion;
`long` | `flags` must be zero PKCS#11: CK_FLAGS flags;
`char[]` | `libraryDescription` must be blank padded - only the first 32 chars will be used PKCS#11:
`CK_VERSION` | `libraryVersion` PKCS#11: CK_VERSION libraryVersion;
`char[]` | `manufacturerID` must be blank padded - only the first 32 chars will be used PKCS#11: CK_UTF8CHAR manufacturerID[32];

Constructor Summary
`CK_INFO()`

Method Summary
`String` | `toString()` Returns the string representation of CK_INFO.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cryptokiVersion

    public CK_VERSION cryptokiVersion

  PKCS#11:

         CK_VERSION cryptokiVersion;

### manufacturerID

    public char[] manufacturerID

  must be blank padded - only the first 32 chars will be used

  PKCS#11:

         CK_UTF8CHAR manufacturerID[32];

### flags

    public long flags

  must be zero PKCS#11:

         CK_FLAGS flags;

### libraryDescription

    public char[] libraryDescription

  must be blank padded - only the first 32 chars will be used

  PKCS#11:

### libraryVersion

    public CK_VERSION libraryVersion

  PKCS#11:

         CK_VERSION libraryVersion;

Constructor Detail

### CK_INFO

    public CK_INFO()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_INFO.

  Returns:
    the string representation of CK_INFO

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.